Compare commits

...

4 Commits

8 changed files with 200 additions and 6 deletions

View File

@ -59,7 +59,7 @@
};
services = {
gamemode.enable = true;
#gnome.enable = true;
gnome.enable = true;
kanshi = let
horizontal = "Samsung Electric Company C27F398 H4ZR101145";
vertical = "Goldstar Company Ltd IPS235 305NDPHKN600";
@ -143,7 +143,8 @@
"kvm.report_ignored_msrs=N"
"fbcon=rotate:3"
"quiet"
"tsc=unstable"
"clocksource=tsc"
"tsc=reliable"
];
#extraModulePackages = [ pkgs.linuxPackages_xanmod.vendor-reset ];

View File

@ -48,6 +48,8 @@ in {
json-mode
rust-mode
yaml-mode
lsp-mode lsp-treemacs flycheck company
dart-mode lsp-dart
];
};
};

View File

@ -7,8 +7,7 @@
(setq redisplay-dont-pause t)
(setq jit-lock-defer-time 0)
(setq fast-but-imprecise-scrolling t)
(setq make-backup-files nil)
(setq create-lockfiles nil)
(setq make-backup-files nil) (setq create-lockfiles nil)
;; A trick for faster startup is to just disable GC for the init phase
;;; See: https://github.com/nilcons/emacs-use-package-fast#a-trick-less-gc-during-startup
@ -208,6 +207,11 @@
(use-package json-mode)
(use-package rust-mode)
(use-package yaml-mode)
(add-hook 'dart-mode-hook 'lsp)
(setq lsp-lens-enable t
lsp-signature-auto-activate nil
company-minimum-prefix-length 1
read-process-output-max (* 1024 1024))
;; Debugging
;(use-package explain-pause-mode

View File

@ -17,6 +17,8 @@ in {
gnomeExtensions.notification-timeout # Custom package
gnomeExtensions.windowisready-remover # Custom package
gnomeExtensions.application-volume-mixer
gnomeExtensions.tiling-assistant
gnomeExtensions.tilingnome
gnomeExtensions.tray-icons-reloaded
gnomeExtensions.gsconnect
gnomeExtensions.blur-my-shell
@ -97,7 +99,10 @@ in {
# Extensions
"org/gnome/shell" = {
enabled-extensions = [
enabled-extensions = let
isMiku = config.ptw.system.hostName == "miku";
isNishimiya = config.ptw.system.hostName == "nishimiya";
in [
"caffeine@patapon.info"
"notification-timeout@chlumskyvaclav.gmail.com"
"gnome-ui-tune@itstime.tech"
@ -105,7 +110,8 @@ in {
"windowIsReady_Remover@nunofarruca@gmail.com"
"blur-my-shell@aunetx"
"gsconnect@andyholmes.github.io"
];
] ++ (lib.optional isMiku "tiling-assistant@leleat-on-github")
++ (lib.optional (isNishimiya || isMiku) "tilingnome@rliang.github.com");
};
"org/gnome/shell/extensions/caffeine" = {

View File

@ -145,4 +145,7 @@ key-mapper = prev.callPackage ./tools/games/key-mapper {};
buildInputs = old.buildInputs ++ [ prev.taglib prev.libsForQt5.qtkeychain ];
});
sound-gambit = prev.callPackage tools/audio/sound-gambit {};
ebu-norm = prev.callPackage tools/audio/ebu-norm {};
}

View File

@ -0,0 +1,111 @@
diff --git a/ebu-norm b/ebu-norm
index ab5fdfe..57d4ca8 100755
--- a/ebu-norm
+++ b/ebu-norm
@@ -12,21 +12,6 @@ THR=-1
# sound-gambit release time (default 10, range 1 to 1000)
REL=10
-# Check availability of dependencies
-function checkAvail()
-{
- which "$1" >/dev/null 2>&1
- ret=$?
- if [ $ret -ne 0 ]
- then
- echo "tool \"$1\" not found." >&2
- exit 1
- fi
-}
-
-for tool in {ffmpeg,bc,sound-gambit}; \
- do checkAvail "$tool"; done
-
#Check for audio files
NUMARG=0
for file in "$@"; do
diff --git a/ebu-plot b/ebu-plot
index 5fb7438..4612fff 100755
--- a/ebu-plot
+++ b/ebu-plot
@@ -23,21 +23,6 @@ then
fi
done
-# Check availability of dependencies
-function checkAvail()
-{
- which "$1" >/dev/null 2>&1
- ret=$?
- if [ $ret -ne 0 ]
- then
- echo "tool \"$1\" not found." >&2
- exit 1
- fi
-}
-
-for tool in {pwsh,ffmpeg,gnuplot}; \
- do checkAvail "$tool"; done
-
# Command usage check
if [ $# -eq 0 ]
then
@@ -82,4 +67,4 @@ echo "Done!"
echo
echo "Skipped items: $SKIPPED"
cat $SKIPFILE
-rm $SKIPFILE
\ No newline at end of file
+rm $SKIPFILE
diff --git a/ebu-scan b/ebu-scan
index 11736d6..8190223 100755
--- a/ebu-scan
+++ b/ebu-scan
@@ -4,21 +4,6 @@
# Usage: ebu-scan <input files>.
-# Check availability of dependencies
-function checkAvail()
-{
- which "$1" >/dev/null 2>&1
- ret=$?
- if [ $ret -ne 0 ]
- then
- echo "tool \"$1\" not found." >&2
- exit 1
- fi
-}
-
-for tool in ffmpeg ; \
- do checkAvail "$tool"; done
-
#Check for audio files and enumerate
NUMARG=0
for file in "$@"; do
diff --git a/tp-norm b/tp-norm
index b8e4997..894f440 100755
--- a/tp-norm
+++ b/tp-norm
@@ -6,21 +6,6 @@
# Option:
# -t Specify true peak target, e.g. -t -2
-# Check availability of dependencies
-function checkAvail()
-{
- which "$1" >/dev/null 2>&1
- ret=$?
- if [ $ret -ne 0 ]
- then
- echo "tool \"$1\" not found." >&2
- exit 1
- fi
-}
-
-for tool in {ffmpeg,bc}; \
- do checkAvail "$tool"; done
-
#Check for audio files
NUMARG=0
for file in "$@"; do

View File

@ -0,0 +1,41 @@
{ stdenv, ffmpeg, sound-gambit, gawk, bc, fetchFromGitHub }:
stdenv.mkDerivation rec {
pname = "ebu-norm";
version = "2.2";
src = fetchFromGitHub {
owner = "chrismhampson";
repo = "ebu-norm";
rev = "v${version}";
sha256 = "120rpi0k3rq0v50ia9cyailgnx5wvpgkzbp8vi74xmr3c0lf26r4";
};
patches = [ ./0000-remove-dep-check.patch ];
buildInputs = [
ffmpeg sound-gambit gawk bc
];
postPatch = ''
for file in ebu-scan ebu-plot ebu-norm tp-norm; do
sed --in-place \
-e "s|ffmpeg|${ffmpeg}/bin/ffmpeg|g" \
-e "s|bc|${bc}/bin/bc|g" \
-e "s|sound-gambit|${sound-gambit}/bin/sound-gambit|g" \
$file
done
'';
installPhase = ''
mkdir -p $out/bin
cp {ebu-scan,ebu-plot,ebu-norm,tp-norm} $out/bin/
'';
meta = with lib; {
description = "An advanced, professional batch normalizer and scanner for EBU R 128 and other target levels.";
homepage = "https://github.com/chrismhampson/ebu-norm";
license = licenses.gpl3;
maintainers = [ ];
};
}

View File

@ -0,0 +1,26 @@
{ stdenv, lib, libsndfile, gnumake, pkg-config, fetchFromGitHub }:
stdenv.mkDerivation rec {
pname = "sound-gambit";
version = "0.6";
src = fetchFromGitHub {
owner = "x42";
repo = "sound-gambit";
rev = "v${version}";
sha256 = "18yf7sp6r8gqlifs9zq23ddsi5d46i6sadnh6jnvll3mhgm0h8bv";
};
buildInputs = [ libsndfile pkg-config ];
makeFlags = [
"PREFIX=${placeholder "out"}"
];
meta = with lib; {
description = "Audio File Peak Limiter";
homepage = "https://github.com/x42/sound-gambit";
license = licenses.gpl3;
maintainers = [ ];
};
}